# Generated by Django 4.2 on 2023-06-06 10:54

import common.utils
import datetime
import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("missions", "0002_alter_mission_from_date_alter_mission_proofs_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="mission",
            name="resubmit_reason",
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name="dailyallowance",
            name="date",
            field=models.DateField(default=datetime.date(2023, 6, 6)),
        ),
        migrations.AlterField(
            model_name="forex",
            name="date",
            field=models.DateField(default=datetime.date(2023, 6, 6)),
        ),
        migrations.AlterField(
            model_name="mission",
            name="status",
            field=models.CharField(
                choices=[
                    ("proposed", "Proposed"),
                    ("resubmit", "resubmit"),
                    ("resubmitted", "resubmitted"),
                    ("approved", "Approved"),
                    ("completed", "Completed"),
                    ("reimbursed", "Reimbursed"),
                ],
                default="proposed",
                max_length=50,
            ),
        ),
        migrations.AlterField(
            model_name="proof",
            name="date",
            field=models.DateField(default=datetime.date(2023, 6, 6)),
        ),
        migrations.AlterField(
            model_name="proof",
            name="document",
            field=models.FileField(
                blank=True,
                default=None,
                null=True,
                upload_to=common.utils.UploadToPathAndRename("missions/", "documents"),
                validators=[
                    django.core.validators.FileExtensionValidator(
                        ["jpg", "jpeg", "png", "pdf"]
                    ),
                    common.utils.MaxSizeValidator("50MB"),
                ],
            ),
        ),
    ]
